# Ai Experts Update PUT /api/v2/qllm/ai-experts/{id}/ Content-Type: application/json V2 View to update an AI Expert (DomainInfo). Allows updating title (name), description, cover_image (cover), and visibility. Reference: https://docs.aisquare.studio/api-reference/ai-square-studio-api/qllm/ai-experts-update ## OpenAPI Specification ```yaml openapi: 3.1.0 info: title: AISquare Studio API version: 1.0.0 paths: /api/v2/qllm/ai-experts/{id}/: put: operationId: ai-experts-update summary: Ai Experts Update description: >- V2 View to update an AI Expert (DomainInfo). Allows updating title (name), description, cover_image (cover), and visibility. tags: - subpackage_qllm parameters: - name: id in: path required: true schema: type: integer responses: '200': description: '' content: application/json: schema: $ref: '#/components/schemas/AIExpertUpdate' requestBody: content: application/json: schema: $ref: '#/components/schemas/AIExpertUpdate' components: schemas: GlobalVisibilityEnum: type: string enum: - public - private - team - org description: |- * `public` - Public * `private` - Private * `team` - Team * `org` - Organization title: GlobalVisibilityEnum AIExpertUpdate: type: object properties: title: type: string description: type: - string - 'null' cover_image: type: string format: uri visibility: $ref: '#/components/schemas/GlobalVisibilityEnum' tags: type: array items: type: integer is_draft: type: boolean description: |- Serializer for updating AI Expert (DomainInfo) details. Maps 'title' -> 'name' and 'cover_image' -> 'cover' for API consistency. title: AIExpertUpdate ``` ## SDK Code Examples ```python import requests url = "https://api.example.com/api/v2/qllm/ai-experts/1/" payload = {} headers = {"Content-Type": "application/json"} response = requests.put(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.example.com/api/v2/qllm/ai-experts/1/'; const options = {method: 'PUT', headers: {'Content-Type': 'application/json'}, body: '{}'}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.example.com/api/v2/qllm/ai-experts/1/" payload := strings.NewReader("{}") req, _ := http.NewRequest("PUT", url, payload) req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.example.com/api/v2/qllm/ai-experts/1/") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Put.new(url) request["Content-Type"] = 'application/json' request.body = "{}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.put("https://api.example.com/api/v2/qllm/ai-experts/1/") .header("Content-Type", "application/json") .body("{}") .asString(); ``` ```php request('PUT', 'https://api.example.com/api/v2/qllm/ai-experts/1/', [ 'body' => '{}', 'headers' => [ 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.example.com/api/v2/qllm/ai-experts/1/"); var request = new RestRequest(Method.PUT); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Content-Type": "application/json"] let parameters = [] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.example.com/api/v2/qllm/ai-experts/1/")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "PUT" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```